Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.nativebinaries.plugins
[Groovy] Class NativeBinariesPlugin

    java.lang.Object
      org.gradle.nativebinaries.plugins.NativeBinariesPlugin

All Implemented Interfaces:
  Plugin

    @Incubating
    class NativeBinariesPlugin

A plugin that creates tasks used for constructing native binaries.

Method Summary
`void` | `apply(Project project)`
`def` | `createInstallTask(ProjectInternal project, NativeBinaryInternal executable)`
`def` | `createTasks(ProjectInternal project, NativeBinaryInternal binary)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### apply

    void apply(Project project)

### createInstallTask

    def createInstallTask(ProjectInternal project, NativeBinaryInternal executable)

### createTasks

    def createTasks(ProjectInternal project, NativeBinaryInternal binary)

Gradle API 1.10